---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3E50, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52610, symBinAddr: 0xC4B0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54550, symBinAddr: 0xE3F0, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54940, symBinAddr: 0xE7E0, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x558E0, symBinAddr: 0xF780, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x558F0, symBinAddr: 0xF790, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52270, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52274, symBinAddr: 0xC354, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52278, symBinAddr: 0xC358, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x523D0, symBinAddr: 0xC360, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52488, symBinAddr: 0xC418, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5248C, symBinAddr: 0xC41C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52490, symBinAddr: 0xC420, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52494, symBinAddr: 0xC424, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52498, symBinAddr: 0xC428, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x524A0, symBinAddr: 0xC430, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x524B0, symBinAddr: 0xC440, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x524B8, symBinAddr: 0xC448, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x524C0, symBinAddr: 0xC450, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x524C8, symBinAddr: 0xC458, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x524D0, symBinAddr: 0xC460, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x524D8, symBinAddr: 0xC468, symSize: 0x0 }
  - { offsetInCU: 0x94D3, offset: 0x94D3, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5251C, symBinAddr: 0xC47C, symSize: 0x0 }
  - { offsetInCU: 0x94ED, offset: 0x94ED, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x52520, symBinAddr: 0xC480, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52528, symBinAddr: 0xC488, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52530, symBinAddr: 0xC490, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x52570, symBinAddr: 0xC4A0, symSize: 0x0 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xEB30, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x961A, offset: 0x961A, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2AF0, symSize: 0x80 }
  - { offsetInCU: 0x96AF, offset: 0x96AF, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2A40, symSize: 0xB0 }
  - { offsetInCU: 0x970A, offset: 0x970A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2940, symSize: 0x100 }
  - { offsetInCU: 0x999D, offset: 0x999D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2B70, symSize: 0xC0 }
  - { offsetInCU: 0x99EF, offset: 0x99EF, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2C30, symSize: 0x220 }
  - { offsetInCU: 0x9BD4, offset: 0x9BD4, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2E50, symSize: 0xA0 }
  - { offsetInCU: 0x9C87, offset: 0x9C87, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2EF0, symSize: 0x110 }
  - { offsetInCU: 0x9D7D, offset: 0x9D7D, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3000, symSize: 0x150 }
  - { offsetInCU: 0x9EDA, offset: 0x9EDA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3150, symSize: 0x30 }
  - { offsetInCU: 0x9FDB, offset: 0x9FDB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3180, symSize: 0x150 }
  - { offsetInCU: 0xA1D3, offset: 0xA1D3, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x32D0, symSize: 0x160 }
  - { offsetInCU: 0xA493, offset: 0xA493, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3430, symSize: 0x4A0 }
  - { offsetInCU: 0xA706, offset: 0xA706, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x38D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA921, offset: 0xA921, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3A80, symSize: 0xA0 }
  - { offsetInCU: 0xA9F0, offset: 0xA9F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3B20, symSize: 0x20 }
  - { offsetInCU: 0xAA27, offset: 0xAA27, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B40, symSize: 0x20 }
  - { offsetInCU: 0xAA5E, offset: 0xAA5E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3B60, symSize: 0x20 }
  - { offsetInCU: 0xAC0D, offset: 0xAC0D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3B80, symSize: 0x1A0 }
  - { offsetInCU: 0xAF29, offset: 0xAF29, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3D20, symSize: 0x130 }
  - { offsetInCU: 0xB0D9, offset: 0xB0D9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x40C0, symSize: 0x1B0 }
  - { offsetInCU: 0xB3C8, offset: 0xB3C8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4270, symSize: 0x80 }
  - { offsetInCU: 0xB491, offset: 0xB491, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x42F0, symSize: 0x6A0 }
  - { offsetInCU: 0xC026, offset: 0xC026, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAB70, symBinAddr: 0x5FF0, symSize: 0xB0 }
  - { offsetInCU: 0xC09D, offset: 0xC09D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4990, symSize: 0x70 }
  - { offsetInCU: 0xC159, offset: 0xC159, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4A00, symSize: 0xA0 }
  - { offsetInCU: 0xC238, offset: 0xC238, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4AA0, symSize: 0x40 }
  - { offsetInCU: 0xC32E, offset: 0xC32E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4AE0, symSize: 0x2B0 }
  - { offsetInCU: 0xC6D4, offset: 0xC6D4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4D90, symSize: 0xC0 }
  - { offsetInCU: 0xC81A, offset: 0xC81A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4E50, symSize: 0x10 }
  - { offsetInCU: 0xC8DC, offset: 0xC8DC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4E60, symSize: 0x220 }
  - { offsetInCU: 0xCBD9, offset: 0xCBD9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5080, symSize: 0x10 }
  - { offsetInCU: 0xCC36, offset: 0xCC36, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5090, symSize: 0x1F0 }
  - { offsetInCU: 0xCE97, offset: 0xCE97, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x5280, symSize: 0x10 }
  - { offsetInCU: 0xCEF4, offset: 0xCEF4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_testedMethod, symObjAddr: 0x9E10, symBinAddr: 0x5290, symSize: 0x60 }
  - { offsetInCU: 0xCF64, offset: 0xCF64, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_checkReady, symObjAddr: 0x9E70, symBinAddr: 0x52F0, symSize: 0x40 }
  - { offsetInCU: 0xCFF0, offset: 0xCFF0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_letFinish, symObjAddr: 0x9EB0, symBinAddr: 0x5330, symSize: 0x10 }
  - { offsetInCU: 0xD192, offset: 0xD192, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x5340, symSize: 0xCB0 }
  - { offsetInCU: 0xDE0A, offset: 0xDE0A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC20, symBinAddr: 0x60A0, symSize: 0x36A }
...
